Subject: [Ltru] Summary of IETF last call issues on ltru registry drafts

From: "Randy Presuhn" <[email-masked]>
Date: Wed, 21 Sep 2005 11:22:36 -0700

Hi -

I'd like to thank everyone who took the time to review
http://www.ietf.org/internet-drafts/draft-ietf-ltru-registry-12.txt and
http://www.ietf.org/internet-drafts/draft-ietf-ltru-initial-04.txt

We appreciate the thoughtful comments and discussion.
The IETF last call comments touched on several issues
the working group had previously discussed, as well as
bringing up some new ones.  I'd like to single out the
GenART reviewer, Elwyn Davies, for particularly helpful
comments, and John Klensin for the BCP discussion.

The WG agreed to several changes to the drafts.  For the
most part, these were clarifications or correction of omissions
that were readily agreed.  There were, in my assessment, no
substantive changes.  The most difficult discussion was
the question of whether the plan to recommend the registry
description document for BCP, with the initial registry contents
published as an informational RFC.  The working group's
plan for the registry description document remains the same,
but we accepted the suggestion to include in the initial registry
document a note to the RFC editor requestion the removal of
the content from section 3.  What would remain of this informational
document would be the description of how the initial registry was
generated and other historical background, but nothing that could
be mistaken for the registry itself would remain.

The new issues entered into the issue tracker at
https://rt.psg.com/ (user and password are ietf) are:

1107 IETF/LC Transition rules (gen-art 1) resolved
1108 IETF/LC Recall of the LSR (gen-art 2) resolved
1109 IETF/LC case canonicalization in registry (gen-art 3) resolved
1110 IETF/LC define the LSR (gen-art 4) resolved
1111 IETF/LC documenting the update load (gen-art 5) rejected
1112 IETF/LC various casing issues (gen-art 7) rejected
1113 IETF/LC UN economic groupings (gen-art 8) rejected
1114 IETF/LC define the LSR (gen-art 9) resolved
1115 IETF/LC numeric ranges in the registry (gen-art 11) resolved
1116 IETF/LC maintain registration records for every single subtag (gen-art 10) resolved
1117 IETF/LC include 'grandfathered' ANBF in 'Tag' description (gen-art 12) resolved
1118 IETF/LC remove MUST from capitalization in registry requirements (gen-art 14) rejected
1119 IETF/LC give ABNF for Prefix (gen-art 15) rejected
1120 IETF/LC ungarble description of Preferred-Value (gen-art 16a) resolved
1121 IETF/LC case of the subtag in a registration (gen-art 16b)
1122 IETF/LC what happens when GF tag and new registration with different meaning collide (gen-art 17a) resolved
1123 IETF/LC make hypothetical nature of extlang registrations clear (gen-art 17b) resolved
1124 IETF/LC At least one prefix for variant (gen-art 18) resolved
1125 IETF/LC bad GF sentence in S3.2 resolved
1126 IETF/LC another GF text problem resolved
1127 IETF/LC choice of subtags in multilingual documents (gen-art 19) rejected
1128 IETF/LC clarifying what a redundant tag is (gen-art 20) resolved
1129 IETF/LC frowning on long texts (gen-art #21) resolved
1130 IETF/LC remove rules in section 2 duplicated from registry draft rejected
1131 IETF/LC update entry for zh-guoyu rejected
1135 IETF/LC something other than BCP? resolved
1136 IETF/LC add singleton for tag URIs rejected

I'm note including here the (rather lengthy) list of issues that the WG had
already discussed.  There was not WG support for the re-opening of
those issues, as no new considerations or concerns were introduced.

I'm hereby asking the editors of the two documents to submit revised i-ds
incorporating the agreed changes, along with any incidental editorial items
they might have found.  If they feel the need to run any specific wordings
past the WG, they should feel free to do so.

Thanks again to all who have spent so much time and energy on this effort.

Randy Presuhn, ltru co-chair & document shepherd

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru